Loading...
Searching...
No Matches
XrdSutBuckListNode Class Reference

`#include <XrdSutBuckList.hh>`

Collaboration diagram for XrdSutBuckListNode:

## Public Member Functions

| XrdSutBuckListNode (XrdSutBucket *b=0, XrdSutBuckListNode *n=0)
virtual | ~XrdSutBuckListNode ()
XrdSutBucket * | Buck () const
XrdSutBuckListNode * | Next () const
void | SetNext (XrdSutBuckListNode *n)

## Detailed Description

Definition at line 45 of file XrdSutBuckList.hh.

## Constructor & Destructor Documentation

## XrdSutBuckListNode()

XrdSutBuckListNode::XrdSutBuckListNode | ( | XrdSutBucket * | b = 0,
|  | XrdSutBuckListNode * | n = 0 )

inline

Definition at line 50 of file XrdSutBuckList.hh.

{ buck = b; next = n;}

References XrdSutBuckListNode().

Referenced by XrdSutBuckListNode(), Next(), and SetNext().

Here is the call graph for this function:
Here is the caller graph for this function:

## ~XrdSutBuckListNode()

virtual XrdSutBuckListNode::~XrdSutBuckListNode | ( |  | ) |

inline virtual

Definition at line 52 of file XrdSutBuckList.hh.

{ }

## Member Function Documentation

## Buck()

XrdSutBucket * XrdSutBuckListNode::Buck | ( |  | ) | const

inline

Definition at line 54 of file XrdSutBuckList.hh.

{ return buck; }

Referenced by XrdSutBuckList::Remove().

Here is the caller graph for this function:

## Next()

XrdSutBuckListNode * XrdSutBuckListNode::Next | ( |  | ) | const

inline

Definition at line 56 of file XrdSutBuckList.hh.

{ return next; }

References XrdSutBuckListNode().

Referenced by XrdSutBuckList::~XrdSutBuckList(), and XrdSutBuckList::Remove().

Here is the call graph for this function:
Here is the caller graph for this function:

## SetNext()

void XrdSutBuckListNode::SetNext | ( | XrdSutBuckListNode * | n | ) |

inline

Definition at line 58 of file XrdSutBuckList.hh.

{ next = n; }

References XrdSutBuckListNode().

Referenced by XrdSutBuckList::PushBack(), and XrdSutBuckList::Remove().

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdSutBuckList.hh